Download it now!
Bug 129015 - ENDNOTE PAGE STYLE: Rule "Next style" is only applied after save and reload
Summary: ENDNOTE PAGE STYLE: Rule "Next style" is only applied after save and reload
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.8.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote Writer-Styles-Page
  Show dependency treegraph
 
Reported: 2019-11-25 14:25 UTC by ajlittoz
Modified: 2020-01-25 06:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
No page style change at end of first endnotes page (11.87 KB, application/vnd.oasis.opendocument.text)
2019-11-25 14:25 UTC, ajlittoz
Details
Modified sample file, don't use the previous one (12.07 KB, application/vnd.oasis.opendocument.text)
2019-11-25 14:33 UTC, ajlittoz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ajlittoz 2019-11-25 14:25:59 UTC
Created attachment 156094 [details]
No page style change at end of first endnotes page

Trying to find a workaround bug 89736 (adding heading/title above end notes, I tried to link "Endnote" page style to a follow-on one "Endnote Next" that I created.

Since it is presently impossible to add a heading before endnotes, I thought to have a larger header area on the first page and a small "standard" area on subsequent pages.

The first large area would host the running header plus any heading and initial text before the endnotes.

Unfortunately, page style change does not occur at end of first page and all pages are formatted "Endnote".

A workaround for the workaround is to uncheck the "Same content on …" boxes, but this keeps the same header height on all pages.

This bug may be related to bugs 58381, 81012 and 108546. I also found a META bug 103164 summarizing all endnotes bugs.

See attached document for an example.
Comment 1 ajlittoz 2019-11-25 14:32:00 UTC
Edit to initial comment: the "Next Style" field is taken into account after saving and reloading the file. This is unexpected and not really user-friendly.

Also, changed the attachement as it contained a typo.
Comment 2 ajlittoz 2019-11-25 14:33:10 UTC
Created attachment 156095 [details]
Modified sample file, don't use the previous one
Comment 3 Dieter Praas 2019-11-26 09:29:53 UTC
Steps to reproduce

1. Open attachment 156095 [details] (don't save it before)
2. Open page styles in sidebar
3. page 2 has page style "Endnote"
4. page 3 has page style "Endnote" (but should have Endnote next)
5. Save file and reopen it
6. Result: Page 3 has page style "Endnote next" (as expected)

Additonal info: Doesn't happen, if you save attachment 156095 [details] first.

Ajlittoz, I'm not sure, if this covers your initial bug report. If this is the case, I would rename report to "PAGE STYLE: Rule "Next style" is only applied after save and reload"
Comment 4 Dieter Praas 2019-12-31 08:17:38 UTC
(In reply to Dieter Praas from comment #3)
> Ajlittoz, I'm not sure, if this covers your initial bug report. If this is
> the case, I would rename report to "PAGE STYLE: Rule "Next style" is only
> applied after save and reload"

=> NEEDINFO
Comment 5 ajlittoz 2020-01-23 15:42:44 UTC
@Dieter Praas: saving and reopening is a workaround as noted in comment #1.

However, I'd prefer the "Next Style" attribute to be taken into account immediately, as for the other styles outside Endnotes context.
Comment 6 QA Administrators 2020-01-24 03:46:58 UTC Comment hidden (obsolete)